data:extend(
{
{
    type = "item",
    name = "drugged-science-assembler",
    icon = "__druglab__/graphics/icons/drugged-science-assembler.png",
    flags = {"goes-to-quickbar"},
    subgroup = "drug-equipment",
    order = "k[drugged-science-assembler]",
    place_result = "drugged-science-assembler",
    stack_size = 20
  },
{
    type = "recipe",
    name = "drugged-science-assembler-dl",
    enabled = false,
    ingredients =
    {
      {"bazoka", 10},
      {"iron-plate", 5},
      {"iron-gear-wheel", 5},
      {"assembling-machine-1", 2}
    },
    result = "drugged-science-assembler"
  },

{
    type = "assembling-machine",
    name = "drugged-science-assembler",
    icon = "__druglab__/graphics/icons/drugged-science-assembler.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 2.5, result = "drugged-science-assembler"},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    fluid_boxes =
    {    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      filename = "__druglab__/graphics/entity/drugged-science-assembler/drugged-science-assembler3.png",
      priority = "high",
      width = 142,
      height = 113,
      frame_count = 32,
      line_length = 8,
      shift = {0.84, -0.09}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t2-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t2-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.5,
    },
    crafting_categories = {"crafting", "drugged-science"},
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.04 / 2.5
    },
    energy_usage = "300kW",
    ingredient_count = 7,
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
  },
  


    order = "a-b-d" --lol
  
}
)