data:extend(
{


 {    type = "recipe",
    name = "saltwater-electrolysis-dl",
    category = "chemistry",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {type = "item", name = "salt", amount = 1},
      {type = "fluid", name = "water", amount = 12}
    },
    results =
    {
      {type = "item", name = "sodium-hydroxide", amount = 12},
      {type = "fluid", name = "chlorine", amount = 15},
      {type = "fluid", name = "hydrogen", amount = 10},
    },
     icon = "__druglab__/graphics/icons/clorine.png",
    subgroup = "else",
    order = "b[salt]"
  },
  
  
  
      {
    type = "recipe",
    name = "activated-charcoal-dl",
    category = "advanced-smelting",
    energy_required = 5.5,
			enabled = "false",
    ingredients = {{ "charcoal", 2}},
      results =
    {
      {type = "item", name = "activated-charcoal", amount = 2}
	   },
    main_product = "activated-charcoal",
     icon = "__druglab__/graphics/icons/activated-charcoal.png",
  
  },
  
	  
    {
    type = "recipe",
    name = "ash-from-poles-dl",
    category = "advanced-smelting",
	    enabled = "false",
    energy_required = 3.5,
    ingredients = {{ "small-electric-pole", 1}},
      results =
    {
      {type = "item", name = "copper-cable", amount = 1},
      {type = "item", name = "ash", amount = 2}
	  
  },
    main_product = "ash",
     icon = "__druglab__/graphics/icons/copper-cable.png",
  
  },
    { -- Napalm Turret
		type = "recipe",
		name = "napalm-turret-dl",
		category = "crafting", 
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"pump",1},
			{"steel-plate",40},
			{"stone-brick",20},
			{"iron-gear-wheel",13},
		},
		result = "napalm-turret"
	},
  
  { -- Drug Furnace
		type = "recipe",
		name = "drug-furnace-dl",
		category = "crafting", 
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"steel-furnace",1},
			{"steel-plate",12},
			{"stone-brick",20},
			{"electronic-circuit",3},
		},
		result = "drug-furnace"
	},
  
    {
    type = "recipe",
    name = "water-electrolysis-dl",
    category = "chemistry",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {type = "fluid", name = "water", amount = 10}
    },
    results =
    {
      {type = "fluid", name = "hydrogen", amount = 20},
      {type = "fluid", name = "oxygen", amount = 12.5}
    },
    subgroup = "else",
        icon = "__druglab__/graphics/icons/oxygen.png",
    order = "b[fluid-chemistry]-b[water-electrolysis]"
  },

 {    type = "recipe",
    name = "salt-dl",
    category = "chemistry",
    subgroup = "powders",
    energy_required = 0.5,
    enabled = "false",
    ingredients =
    {
      {type = "fluid", name = "water", amount = 15}
    },
    result = "salt"
  },

{    type = "recipe",
    name = "nitric-acid-dl",
    category = "chemistry",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {type="fluid", name="water", amount=20},
      {type="fluid", name="nitrogen-dioxide", amount=20},
    },
    results=
    {
      {type="fluid", name="nitric-acid", amount=20},
    },
    subgroup = "else",
        icon = "__druglab__/graphics/icons/nitric-acid.png",
    order = "b[nitric-acid]"
  },
  
  
  {    type = "recipe",
    name = "ammonium-nitrate-dl",
    category = "chemistry",
    enabled = "false",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-ammonia", amount=10},
      {type="fluid", name="nitric-acid", amount=10},
    },
    results=
    {
      {type="fluid", name="ammonium-nitrate", amount=20},
    },
    subgroup = "else",
        icon = "__druglab__/graphics/icons/ammonium-nitrate.png",
    order = "b[ammonium-nitrate]"
  },

  {    type = "recipe",
    name = "nitrogen-dioxide-dl",
    category = "chemistry",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {type = "fluid", name = "nitrogen", amount = 10},
      {type = "fluid", name = "oxygen", amount = 20}
    },
    results =
    {
      {type = "fluid", name = "nitrogen-dioxide", amount = 20},
    },
    subgroup = "else",
        icon = "__druglab__/graphics/icons/nitrogen-dioxide.png",
    order = "b[nitrogen-dioxide]"
  },
  
   {
    type = "recipe",
    name = "nitrogen-dl",
    category = "chemistry",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {type = "fluid", name = "gas-compressed-air", amount = 20}
    },
    results =
    {
      {type = "fluid", name = "nitrogen", amount = 20},
      {type = "fluid", name = "oxygen", amount = 5}
    },
    main_product = "nitrogen",
    subgroup = "else",
       icon = "__druglab__/graphics/icons/nitrogen.png",
    order = "b[nitrogen]"
    },

	{ -- Deepdrill
		type = "recipe",
		name = "deepdrill-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",160},
			{"electric-mining-drill",8},
			{"stone-brick",45},
			{"plastic-bar",10},
		},
		result = "deepdrill"
	},
{ -- Leaf Cooker
		type = "recipe",
		name = "leaf-cooker-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",260},
			{"chemical-plant",1},
			{"stone-brick",45},
			{"wooden-chest",30},
		},
		result = "leaf-cooker"
	},
{ -- Advanced Leaf Cooker
		type = "recipe",
		name = "advanced-leaf-cooker-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",660},
			{"chemical-plant",2},
			{"stone-brick",245},
			{"wooden-chest",45},
		},
		result = "advanced-leaf-cooker"
	},

{ -- Greenhouse
		type = "recipe",
		name = "greenhouse-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",660},
			{"chemical-plant",2},
			{"stone-brick",245},
			{"wooden-chest",45},
		},
		result = "greenhouse"
	},
{ -- Leaf Washer
		type = "recipe",
		name = "leaf-washer-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",60},
			{"chemical-plant",1},
			{"stone-brick",25},
			{"wooden-chest",10},
		},
		result = "leaf-washer"
	},
	{ -- Leaf Washer2
		type = "recipe",
		name = "leaf-washer2-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		enabled = "false",
		ingredients = 
		{
			{"raw-wood",60},
			{"chemical-plant",1},
			{"stone-brick",25},
			{"wooden-chest",10},
		},
		result = "leaf-washer2"
	},
	
	{ -- Oil Agitator
		type = "recipe",
		name = "oil-agitator-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		energy_required = 41,
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",60},
			{"chemical-plant",2},
			{"stone-brick",15},
			{"wooden-chest",10},
		},
		result = "oil-agitator"
	},
		{ -- Advanced Oil Agitator
		type = "recipe",
		name = "advanced-oil-agitator-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		energy_required = 41,
		enabled = "false",
		ingredients = 
		{
			{"steel-plate",160},
			{"oil-agitator",1},
			{"stone-brick",45},
			{"wooden-chest",30},
		},
		result = "advanced-oil-agitator"
	},
	{ -- Manganese Ore
		type = "recipe",
		name = "manganese-ore-dl",
		category = "deepdrill", --where it is made
		subgroup = "else",
		energy_required = 248,
		enabled = "false",
		ingredients = 
		{
--			{fluid "water",200},
			 {type = "fluid", name = "steam", amount = 180},
			 {type = "item", name = "pipe", amount = 44}
		},
		results = 
		{
		{type="item", name="manganese-ore", amount=780},
		},
		 icon = "__druglab__/graphics/icons/manganese-ore.png",
		
		
		
	},
	
	{ -- Manganese Ore
		type = "recipe",
		name = "sulfur3-dl",
		category = "deepdrill", --where it is made
		subgroup = "else",
		energy_required = 311,
		enabled = "false",
		ingredients = 
		{
--			{fluid "water",200},
			 {type = "fluid", name = "steam", amount = 210},
	 		 {type = "item", name = "pipe", amount = 44}
			
		},
		results = 
		{
		{type="item", name="sulfur", amount=680},
		},
		 icon = "__druglab__/graphics/icons/sulfur.png",
		
		
		
	},
	
	{ -- Water from deepdrilling
		type = "recipe",
		name = "water2-dl",
		category = "deepdrill", --where it is made
		subgroup = "else",
		energy_required = 248,
		enabled = "false",
		ingredients = 
		{
--			{fluid "water",200},
			 {type = "fluid", name = "steam", amount = 180},
    		 {type = "item", name = "pipe", amount = 44}			
		},
		results = 
		{
		{type="fluid", name="water", amount=480},
		},
		 icon = "__druglab__/graphics/icons/water.png",
		
		
		
	},
	
	{ -- Cocaine Brick
		type = "recipe",
		name = "cocaine-brick-dl",
    	category = "drugged-science", --where it is made
		subgroup = "else",
		energy_required = 122,
		enabled = "false",
		ingredients = 
		{
			{"cocaine-hydrocloride",2000},
			{"plastic-bar",2},

		},
		result = "cocaine-brick"
	},
	
	
	{ -- Cocaine Un-Brick
		type = "recipe",
		name = "cocaine-hydrocloride-a-dl",
	category = "drugged-science", --where it is made
		subgroup = "else",
		energy_required = 122,
		enabled = "false",
		ingredients = 
		{
			{"cocaine-brick",1},
			{"plastic-bar",4},

		},
			    result_count = 1987,
    result = "cocaine-hydrocloride",
		
		

	},

	{
    type = "recipe",
    name = "wood-seedling-dl",
    category = "greenhouse",
	enabled = "false",
	subgroup = "buckets",
    energy_required = 52,
    ingredients ={
		{type="item", name="raw-wood", amount=24},
		{type="fluid", name="water-purified", amount=12},
		{type="fluid", name="ammonium-sulfate", amount=33},
		{type="item", name="raw-fish", amount=3},
					},
    results=
    {
		{type="item", name="wood-seedling", amount=5},
		{type="fluid", name="water", amount=13},
		{type="item", name="woodchips", amount=4},
    },
	    icon = "__druglab__/graphics/icons/wood-seedling.png",
    main_product= "wood-seedling",
	order = "b[wood-seedling]",
	},
	{
    type = "recipe",
    name = "raw-wood-2-dl",
    category = "greenhouse",
	subgroup = "buckets",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		
		{type="fluid", name="water-purified", amount=14},
		{type="fluid", name="ammonium-sulfate", amount=14},
	    {type="item", name="wood-seedling", amount=20},
					},
    results=
    {
		{type="item", name="raw-wood", amount=25},
		{type="fluid", name="water", amount=10},
		{type="item", name="woodchips", amount=4},
		{type="item", name="wood-seedling", amount=42},
    },
	    icon = "__druglab__/graphics/icons/raw-wood.png",
    main_product= "raw-wood",
	order = "b[raw-wood]",
	},
	
	{
    type = "recipe",
    name = "raw-wood-3-dl",
    category = "greenhouse",
	subgroup = "buckets",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		
		{type="fluid", name="water-purified", amount=14},
		{type="fluid", name="ammonium-nitrate", amount=10},
	    {type="item", name="wood-seedling", amount=20},
					},
    results=
    {
		{type="item", name="raw-wood", amount=25},
		{type="fluid", name="water", amount=10},
		{type="item", name="woodchips", amount=4},
		{type="item", name="wood-seedling", amount=42},
    },
	    icon = "__druglab__/graphics/icons/raw-wood.png",
    main_product= "raw-wood",
	order = "b[raw-wood]",
	},
	
	
	{
    type = "recipe",
    name = "ammonium-sulfate-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 22,
	enabled = "false",
    ingredients ={

		{type="fluid", name="gas-ammonia", amount=30},
		{type="item", name="sulfur", amount=15},
					},
    results=
    {
			{type="fluid", name="ammonium-sulfate", amount=13}

    },
	    icon = "__druglab__/graphics/icons/ammonium-sulfate.png",
    main_product= "ammonium-sulfate",
	order = "b[ammonium-sulfate]",
	},
	
		{
    type = "recipe",
    name = "plastic-frompropane-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 12,
	enabled = "true", --ÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅÅ
    ingredients ={

		{type="fluid", name="propane", amount=60},
--		{type="item", name="sulfur", amount=15},
					},
    results=
    {
			{type="item", name="plastic-bar", amount=9}

    },
	    icon = "__base__/graphics/icons/plastic-bar.png",
    main_product= "plastic-bar",
	order = "b[plastic-bar]",
	},
	
	
		{
    type = "recipe",
    name = "erythroxylaceae-seedling-dl",
    category = "greenhouse",
	subgroup = "buckets",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		{type="item", name="raw-fish", amount=24},
		{type="fluid", name="water-purified", amount=15},
		{type="item", name="raw-wood", amount=33},
		{type="fluid", name="ammonium-nitrate", amount=3},
					},
    results=
    {
		{type="item", name="erythroxylaceae-seedling", amount=3},
		{type="fluid", name="water", amount=13},
		{type="item", name="woodchips", amount=11},
    },
	    icon = "__druglab__/graphics/icons/erythroxylaceae-seedling.png",
    main_product= "erythroxylaceae-seedling",
	order = "b[erythroxylaceae-seedling]",
	},
	
	{
    type = "recipe",
    name = "mint-leaves-dl",
    category = "greenhouse",
	subgroup = "buckets",
    energy_required = 38,
	enabled = "false",
    ingredients ={
		{type="item", name="mint-seedling", amount=18},
		{type="fluid", name="water-purified", amount=35},

					},
    results=
    {
		{type="item", name="mint-seedling", amount=66},
		{type="fluid", name="water", amount=18},
		{type="item", name="raw-wood", amount=8},
		{type="item", name="mint-leaves", amount=82},
    },
	    icon = "__druglab__/graphics/icons/mint-leaves.png",
    main_product= "mint-leaves",
	order = "b[coco-leaves]",
	},
	
	
			{
    type = "recipe",
    name = "coco-leaves1-dl",
    category = "greenhouse",
	subgroup = "buckets",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		{type="item", name="erythroxylaceae-seedling", amount=18},
		{type="fluid", name="water-purified", amount=35},
		{type="fluid", name="nitrogen", amount=33},

					},
    results=
    {
		{type="item", name="erythroxylaceae-seedling", amount=46},
		{type="item", name="mint-seedling", amount=4},
		{type="fluid", name="water", amount=18},
		{type="item", name="raw-wood", amount=12},
		{type="item", name="coco-leaves", amount=82},
		{type="item", name="woodchips", amount=4},
    },
	    icon = "__druglab__/graphics/icons/coco-leaves.png",
    main_product= "coco-leaves",
	order = "b[coco-leaves]",
	},
	
	{
    type = "recipe",
    name = "green-acidic-cocaine-solution-dl",
    category = "advanced-agitation",
	subgroup = "buckets",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		{type="item", name="minted-coco-paste", amount=14},
		{type="fluid", name="water-purified", amount=15},
		{type="fluid", name="sulfuric-acid", amount=3},
		{type="item", name="potassium-permanganate", amount=3},
					},
    results=
    {
		{type="item", name="manganese-dioxide", amount=3},
		{type="fluid", name="green-acidic-cocaine-solution", amount=13},
		{type="fluid", name="waste-water-green", amount=11},

    },
	    icon = "__druglab__/graphics/icons/green-acidic-cocaine-solution.png",
    main_product= "green-acidic-cocaine-solution",
	order = "b[acidic-cocaine-solution]",
	},
	
	{
    type = "recipe",
    name = "acidic-cocaine-solution-dl",
    category = "advanced-agitation",
	subgroup = "buckets",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		{type="item", name="coco-paste", amount=12},
		{type="fluid", name="water-purified", amount=15},
		{type="fluid", name="sulfuric-acid", amount=3},
		{type="item", name="potassium-permanganate", amount=3},
					},
    results=
    {
		{type="item", name="manganese-dioxide", amount=3},
		{type="fluid", name="acidic-cocaine-solution", amount=13},
		{type="fluid", name="waste-water-yellow", amount=11},

    },
	    icon = "__druglab__/graphics/icons/acidic-cocaine-solution.png",
    main_product= "acidic-cocaine-solution",
	order = "b[acidic-cocaine-solution]",
	},
	
	
	{
    type = "recipe",
    name = "mint-oil-destilation-dl",
    category = "drugs-to-et",
	subgroup = "else",
    energy_required = 52,
	enabled = "false",
    ingredients ={
   		{type="fluid", name="water-purified", amount=22},
		{type="item", name="ground-mint-leaves", amount=42},
					},
    results=
    {
        {type="fluid", name="mint-oil", amount=1}
,

    },
	    icon = "__druglab__/graphics/icons/mint-oil.png",
    main_product= "mint-oil",
	order = "b[coco-paste]",
	},
	
	
	{
    type = "recipe",
    name = "minted-coco-paste-dl",
    category = "drugs-to-to",
	subgroup = "else",
    energy_required = 52,
	enabled = "false",
    ingredients ={
   		{type="fluid", name="mint-oil", amount=1},
		{type="fluid", name="water-cocaine-sulfate-solution", amount=9},
		{type="item", name="sodium-hydroxide", amount=11},
					},
    results=
    {
		{type="item", name="minted-coco-paste", amount=7},
		{type="fluid", name="waste-water-yellow", amount=13},

    },
	    icon = "__druglab__/graphics/icons/minted-coco-paste.png",
    main_product= "minted-coco-paste",
	order = "b[coco-paste]",
	},
	
	
	{
    type = "recipe",
    name = "coco-paste-dl",
    category = "drugs-to-to",
	subgroup = "else",
    energy_required = 52,
	enabled = "false",
    ingredients ={
		{type="fluid", name="water-cocaine-sulfate-solution", amount=9},
		{type="item", name="sodium-hydroxide", amount=11},
					},
    results=
    {
		{type="item", name="coco-paste", amount=7},
		{type="fluid", name="waste-water-yellow", amount=13},

    },
	    icon = "__druglab__/graphics/icons/coco-paste.png",
    main_product= "coco-paste",
	order = "b[coco-paste]",
	},
	
	{
    type = "recipe",
    name = "water-cocaine-sulfate-solution-dl",
    category = "advanced-agitation",
	subgroup = "buckets",
    energy_required = 41,
	enabled = "false",
    ingredients ={
		{type="item", name="potassium-permanganate", amount=3},
		{type="fluid", name="raw-coco-paste-solution", amount=16},
		{type="fluid", name="water-purified", amount=12},
		{type="fluid", name="sulfuric-acid", amount=3},
		},
    results=
    {
		{type="fluid", name="water-cocaine-sulfate-solution", amount=7},
		{type="fluid", name="waste-water-yellow", amount=24},

    },
		icon = "__druglab__/graphics/icons/water-cocaine-sulfate-solution.png",
    main_product= "water-cocaine-sulfate-solution",
	order = "aa[water-cocaine-sulfate-solution]",
	},
	
	
	
	{
    type = "recipe",
    name = "raw-coco-paste-solution-dl",
    category = "drugs-to-to",
	subgroup = "buckets",
    energy_required = 17,
	enabled = "false",
    ingredients ={
		{type="fluid", name="kerosine-raw-cocopaste-solution-mixture", amount=12},
					},
    results=
    {
		{type="fluid", name="raw-coco-paste-solution", amount=5},
		{type="fluid", name="wax-kerosine-solution", amount=7},
    },
	    icon = "__druglab__/graphics/icons/raw-coco-paste-solution.png",
    main_product= "raw-coco-paste-solution",
	order = "h[raw-coco-paste-solution]",
	},
	
	
	{
    type = "recipe",
    name = "kerosine-raw-cocopaste-solution-mixture-dl",
    category = "drugs-et-to",
	subgroup = "buckets",
    energy_required = 14,
	enabled = "false",
    ingredients ={
		{type="fluid", name="cocaine-extraction-mix", amount=8},
					},
    results=
    {
		{type="fluid", name="kerosine-raw-cocopaste-solution-mixture", amount=6},
		{type="item", name="cellulose", amount=6},
    },
	    icon = "__druglab__/graphics/icons/kerosine-raw-cocopaste-solution-mixture.png",
    main_product= "kerosine-raw-cocopaste-solution-mixture",
	order = "h[kerosine-raw-cocopaste-solution-mixture]",
	},
	
	
	{
    type = "recipe",
    name = "cocaine-extraction-mix-dl",
    category = "drugs-to-to",
	subgroup = "buckets",
    energy_required = 25,
	enabled = "false",
    ingredients ={
		{type="fluid", name="liquid-kerosine", amount=5},
		{type="fluid", name="coco-slurry", amount=2},
					},
    results=
    {
		{type="fluid", name="cocaine-extraction-mix", amount=12},
		{type="item", name="wax", amount=1},
    },
	    icon = "__druglab__/graphics/icons/cocaine-extraction-mix.png",
    main_product= "cocaine-extraction-mix",
	order = "h[cocaine-extraction-mix]",
	},
			{
    type = "recipe",
    name = "gas-ammonia-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 9,
	enabled = "false",
    ingredients ={
		{type="fluid", name="hydrogen", amount=2},
		{type="fluid", name="nitrogen", amount=3},
					},
    results=
    {
		{type="fluid", name="gas-ammonia", amount=4},
    },
    icon = "__druglab__/graphics/icons/gas-ammonia.png",
    order = "h[liquid-kerosine]",
	},
	{
    type = "recipe",
    name = "steam-cracking-heavy-oil-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 9,
	enabled = "false",
    ingredients ={
		{type="fluid", name="steam", amount=10},
		{type="fluid", name="heavy-oil", amount=8},
					},
    results=
    {
		{type="fluid", name="lubricant", amount=8},
		{type="item", name="wax", amount=4},
		{type="item", name="asphalt", amount=4},
    },
    icon = "__druglab__/graphics/icons/asphalt.png",
		main_product= "asphalt",
    order = "h[liquid-kerosine]",
	},
		
		{
    type = "recipe",
    name = "steam-cracking-light-oil-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 9,
	enabled = "false",
    ingredients ={
		{type="fluid", name="steam", amount=10},
		{type="fluid", name="light-oil", amount=12},
					},
    results=
    {
		{type="fluid", name="liquid-kerosine", amount=8},
		{type="fluid", name="diesel", amount=2},
		{type="fluid", name="fuel-oil", amount=2},
    },
    icon = "__druglab__/graphics/icons/liquid-kerosine.png",
		main_product= "liquid-kerosine",
    order = "h[liquid-kerosine]",
	},
	
		{
    type = "recipe",
    name = "solidfuel_fromdiesel-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 3,
	enabled = "false", 
    ingredients ={
		{type="fluid", name="diesel", amount=12},
					},
    results=
    {
		{type="item", name="solid-fuel", amount=8}
    },
    icon = "__druglab__/graphics/icons/solid-fuel.png",
		main_product= "solid-fuel",
    order = "h[solidfuel_fromdiesel]",
	},
	
	{
    type = "recipe",
    name = "solidfuel_fromfueloil-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 3,
	enabled = "false", 
    ingredients ={
		{type="fluid", name="fuel-oil", amount=12},
					},
    results=
    {
		{type="item", name="solid-fuel", amount=8}
    },
    icon = "__druglab__/graphics/icons/solid-fuel.png",
		main_product= "solid-fuel",
    order = "h[solidfuel_fromfueloil]",
	},
	
		{
    type = "recipe",
    name = "solidfuel_fromkerosine-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 3,
	enabled = "false", 
    ingredients ={
		{type="fluid", name="liquid-kerosine", amount=14},
					},
    results=
    {
		{type="item", name="solid-fuel", amount=8}
    },
    icon = "__druglab__/graphics/icons/solid-fuel.png",
		main_product= "solid-fuel",
    order = "h[solidfuel_fromkerosine]",
	},
	

	{  
		type = "recipe",
		name = "napalmflamethrower-dl",
		category = "crafting", --where it is made
		subgroup = "drug-equipment",
		energy_required = 4,
		enabled = "false", 
		ingredients = 
		{
			{"steel-plate",16},
			{"advanced-circuit",2},
			{"wood",8},
		},
		result = "napalmflamethrower"
	},
	
	
	
	
	{
    type = "recipe",
    name = "napalm-cartridge-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 5,
	enabled = "false",
    ingredients ={
		{type="fluid", name="napalm", amount=10},
		{type="item", name="steel-plate", amount=14}
					},
    results=
    {
		{type="item", name="napalm-cartridge", amount=1}
    },
    icon = "__druglab__/graphics/icons/flamethrower-ammo.png",
		main_product= "napalm-cartridge",
    order = "h[napalm-cartridge]",
	
	
	crafting_machine_tint =
    {
      primary = {r = 0.238, g = 0.238, b = 0.034, a = 0.000}, -- #d7870000  #eeee22
      secondary = {r = 0.238, g = 0.238, b = 0.034, a = 0.000}, -- #a7000000
      tertiary = {r = 0.238, g = 0.238, b = 0.034, a = 0.000}, -- #ae530000
    },
	
	
	
	
	
	},
	{
    type = "recipe",
    name = "steamcracking-petroleum-gas-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 6,
	enabled = "false",
    ingredients ={
		{type="fluid", name="steam", amount=14},
		{type="fluid", name="petroleum-gas", amount=58},
					},
    results=
    {
		{type="fluid", name="propane", amount=51},
		{type="fluid", name="butane", amount=32},
		{type="fluid", name="gasoline", amount=32},
    },
    icon = "__druglab__/graphics/icons/propane.png",
		main_product= "propane",
    order = "h[liquid-kerosine]",
	},
	
	{
    type = "recipe",
    name = "gas-compressed-air-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 2,
	enabled = "false",
    ingredients ={
		

			},
    results=
    {	{type="fluid", name="gas-compressed-air", amount=2},
		    },
    icon = "__druglab__/graphics/icons/compressed-air.png",
	main_product= "gas-compressed-air",
    order = "h[gas-compressed-air]",
	},
			{
    type = "recipe",
    name = "minted-cocaine-dl",
    category = "advanced-agitation",
	subgroup = "powders",
    energy_required = 56,
	enabled = "false",
    ingredients ={
		{type="fluid", name="green-acidic-cocaine-solution", amount=12},
		{type="fluid", name="gas-ammonia", amount=12},
		{type="fluid", name="water-purified", amount=12},
		--{type="item", name="filter-ceramic", amount=1},

			},
	results=
    {	{type="item", name="minted-cocaine", amount=2},
		--{type="item", name="filter-ceramic-used", amount=1},
		{type="fluid", name="waste-water-green", amount=32},
    },
    icon = "__druglab__/graphics/icons/minted-cocaine.png",
	main_product= "minted-cocaine",
    order = "h[cocaine-hydrocloride]",
	},
	
	
	
		{
    type = "recipe",
    name = "cocaine-hydrocloride-dl",
    category = "advanced-agitation",
	subgroup = "powders",
    energy_required = 56,
	enabled = "false",
    ingredients ={
		{type="fluid", name="acidic-cocaine-solution", amount=12},
		{type="fluid", name="gas-ammonia", amount=12},
		{type="fluid", name="water-purified", amount=12},
		--{type="item", name="filter-ceramic", amount=1},

			},
    results=
    {	{type="item", name="cocaine-hydrocloride", amount=2},
		--{type="item", name="filter-ceramic-used", amount=1},
		{type="fluid", name="waste-water-yellow", amount=32},
    },
    icon = "__druglab__/graphics/icons/cocaine-hydrocloride.png",
	main_product= "cocaine-hydrocloride",
    order = "h[cocaine-hydrocloride]",
	},
	
	
	
	{
    type = "recipe",
    name = "bazoka-1-dl",
    category = "drugs-to-et",
	subgroup = "powders",
    energy_required = 7,
	enabled = "false",
    ingredients ={
		{type="fluid", name="coco-slurry", amount=12},
		{type="fluid", name="liquid-kerosine", amount=18},
		{type="item", name="sodium-hydroxide", amount=12},
			},
    results=
    {
		{type="item", name="bazoka", amount=14},
    },
    icon = "__druglab__/graphics/icons/bazoka.png",
    order = "h[bazoka]",
	},
	
	{
    type = "recipe",
    name = "bazoka-2-dl",
    category = "drugs-to-et",
	subgroup = "powders",
    energy_required = 5,
	enabled = "false",
    ingredients ={
		{type="fluid", name="coco-slurry", amount=12},
		{type="fluid", name="liquid-kerosine", amount=18},
		{type="item", name="potassium-hydroxide", amount=12},
			},
    results=
    {
		{type="item", name="bazoka", amount=15},
    },
    icon = "__druglab__/graphics/icons/bazoka.png",
    order = "h[bazoka]",
	},
	
	
	
	{
    type = "recipe",
    name = "coco-slurry-dl",
    category = "drugs-et-to",
	subgroup = "buckets",
    energy_required = 32,
	enabled = "false",
    ingredients ={
		{type="item", name="ground-coco-leaves", amount=12},
		{type="item", name="lime-dust", amount=18},
		{type="fluid", name="water-purified", amount=12},
			},
    results=
    {
		{type="fluid", name="coco-slurry", amount=11},
    },
    icon = "__druglab__/graphics/icons/coco-slurry.png",
    order = "h[coco-slurry]",
	},
	
	
	
	{
    type = "recipe",
    name = "ground-mint-leaves-dl",
    category = "drugs-et-et",
	subgroup = "else",
    energy_required = 8,
	enabled = "false",
    ingredients ={
		{type="item", name="mint-leaves", amount=30},
		{type="fluid", name="water-purified", amount=12},
			},
    results=
    {
		{type="item", name="ground-mint-leaves", amount=48},
		{type="fluid", name="water", amount=7},
    },
    icon = "__druglab__/graphics/icons/ground-mint-leaves.png",
    order = "f[ground-coco-leaves]",
	},
	
	
	{
    type = "recipe",
    name = "ground-coco-leaves-dl",
    category = "drugs-et-et",
	subgroup = "else",
    energy_required = 8,
	enabled = "false",
    ingredients ={
		{type="item", name="coco-leaves", amount=30},
		{type="fluid", name="water-purified", amount=12},
			},
    results=
    {
		{type="item", name="ground-coco-leaves", amount=48},
		{type="fluid", name="water", amount=7},
    },
    icon = "__druglab__/graphics/icons/ground-coco-leaves.png",
    order = "f[ground-coco-leaves]",
	},
		
	
	{
    type = "recipe",
    name = "ash1-dl",
    category = "advanced-smelting",
	subgroup = "else",
    energy_required = 5,
	enabled = "false",
    ingredients ={
		{type="item", name="wood", amount=12},
			},
    results=
    {
		{type="item", name="ash", amount=18},
		{type="item", name="charcoal", amount=11},
    },
	main_product= "ash",
    icon = "__druglab__/graphics/icons/ash.png",
    order = "f[ash]",
	},


{
    type = "recipe",
    name = "ash2-dl",
	category = "advanced-smelting",
	subgroup = "powders",
	    energy_required = 2,
		enabled = "false",	
    ingredients = {
		{type="item", name="raw-wood", amount=2},
	},
	
	
    results=
    {
		{type="item", name="ash", amount=4},
		{type="item", name="charcoal", amount=2},
    },
	main_product= "ash",
    icon = "__druglab__/graphics/icons/ash.png",
    order = "f[ash]",
	},
  
  {
    type = "recipe",
    name = "ash3-dl",
	category = "advanced-smelting",
	subgroup = "powders",
	    energy_required = 3,
			enabled = "false",	
    ingredients = {
		{type="item", name="woodchips", amount=2},
	},
	
	
    results=
    {
		{type="item", name="ash", amount=16},
		{type="item", name="charcoal", amount=9},
    },
	main_product= "ash",
    icon = "__druglab__/graphics/icons/ash.png",
    order = "f[ash]",
	},
  
   
  
  
  --{
  --  type = "recipe",
  --  name = "rocket-silo-a",
--	category = "drugged-science",
--    enabled = true,
--    ingredients =
--    {
--      {"steel-plate", 1000},
--      {"concrete", 1000},
--      {"pipe", 100},
--      {"processing-unit", 200},
--      {"electric-engine-unit", 200}
--    },
--    energy_required = 30,
--    result = "rocket-silo-a",
--    requester_paste_multiplier = 1
--  },
  
  
  
  
  
  
  
  
  {
    type = "recipe",
    name = "science-pack-1a-dl",
	category = "drugged-science",
	    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {"bazoka", 1},
      {"copper-plate", 1},
      {"iron-gear-wheel", 1}
    },
	    result_count = 4,
    result = "science-pack-1"
  },
  
  
  {
    type = "recipe",
    name = "science-pack-2a-dl",
	category = "drugged-science",
    enabled = false,
    energy_required = 6,
    ingredients =
    {
      {"bazoka", 1},
      {"inserter", 1},
      {"transport-belt", 1}
    },
	    result_count = 4,
    result = "science-pack-2"
  },
    {
    type = "recipe",
    name = "science-pack-2b-dl",
	category = "drugged-science",
    enabled = false,
    energy_required = 6,
    ingredients =
    {
      {"minted-cocaine", 1},
      {"inserter", 1},
      {"transport-belt", 1}
    },
	    result_count = 7,
    result = "science-pack-2"
  },
  {
    type = "recipe",
    name = "science-pack-3a-dl",
	    category = "drugged-science",
    enabled = false,
    energy_required = 12,
    ingredients =
    {
	  {"bazoka", 1},
      {"advanced-circuit", 1},
      {"engine-unit", 1},
      {"electric-mining-drill", 1},
    },
	    result_count = 3,
    result = "science-pack-3"
  },
  {
    type = "recipe",
    name = "military-science-pack-a-dl",
	    category = "drugged-science",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
	  {"bazoka", 1},
      {"piercing-rounds-magazine", 1},
      {"grenade", 1},
      {"gun-turret", 1}
    },
    result_count = 3,
    result = "military-science-pack",
  },
  {
    type = "recipe",
    name = "military-science-pack-b-dl",
	    category = "drugged-science",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {"cocaine-hydrocloride", 1},
      {"piercing-rounds-magazine", 1},
      {"grenade", 1},
      {"gun-turret", 1}
    },
    result_count = 7,
    result = "military-science-pack",
  },
  {
    type = "recipe",
    name = "production-science-pack-a-dl",
	    category = "drugged-science",
    enabled = false,
    energy_required = 14,
    ingredients =
    {
	 {"cocaine-hydrocloride", 1},
     {"electric-engine-unit", 1},
     {"assembling-machine-1", 1},
     {"electric-furnace", 1}
    },
    result_count = 5,
    result = "production-science-pack",
  },
  {
    type = "recipe",
    name = "high-tech-science-pack-a-dl",
    category = "drugged-science",
    enabled = false,
    energy_required = 14,
    ingredients =
    {
      {"cocaine-hydrocloride", 1},
      {"battery", 1},
      {"processing-unit", 3},
      {"speed-module", 1},
      {"copper-cable", 30}
    },
    result_count = 4,
    result = "high-tech-science-pack",
  },
    
  {
    type = "recipe",
    name = "low-density-structure-a-dl",
    category = "drugged-science",
    normal =
    {
      energy_required = 25,
      enabled = false,
      ingredients =
      {
        {"cocaine-hydrocloride", 2},
        {"steel-plate", 10},
        {"copper-plate", 5},
        {"plastic-bar", 5}
      },
	      result_count = 3,
      result= "low-density-structure",
    },
	},
    
  {
    type = "recipe",
    name = "rocket-control-unit-a-dl",
    energy_required = 38,
    enabled = false,
    category = "drugged-science",
    ingredients =
    {
	  {"cocaine-hydrocloride", 2},
      {"processing-unit", 2},
      {"speed-module", 2}
    },
	    result_count = 3,
    result= "rocket-control-unit"
  },

  {
    type = "recipe",
    name = "satellite-a-dl",
    energy_required = 3,
    enabled = false,
    category = "drugged-science",
    ingredients =
    {
      {"low-density-structure", 70},
      {"solar-panel", 70},
      {"accumulator", 68},
      {"radar", 4},
      {"processing-unit", 81},
      {"rocket-fuel", 42},
      {"cocaine-hydrocloride", 5}	
    },
    result= "satellite",
  },
  
  
  
  {
    type = "recipe",
    name = "napalm-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 7,
	enabled = "false",
    ingredients ={
        {type="fluid", name="naphthenic-acid", amount=5},
        {type="fluid", name="palmitic-acid", amount=5},
	},
    results=
    {
        {type="fluid", name="napalm", amount=10},
            },
    main_product= "napalm",
    order = "f[potassium-hydroxide]",
  },
  
    {
    type = "recipe",
    name = "palmitic-acid-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 8,
	enabled = "false",
    ingredients ={
        {type="item", name="wax", amount=12},
        {type="fluid", name="light-oil", amount=5},
	},
    results=
    {
        {type="fluid", name="palmitic-acid", amount=9},
		{type="item", name="cellulose", amount= 15} 
            },
    main_product= "palmitic-acid",
    order = "f[potassium-hydroxide]",
  },
  {
    type = "recipe",
    name = "gas-carbon-dioxide-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 11,
	enabled = "false",
    ingredients ={
        {type="item", name="coal", amount=2},
	},
    results=
    {
        {type="fluid", name="gas-carbon-dioxide", amount=5},
            },
    main_product= "gas-carbon-dioxide",
    order = "f[gas-carbon-dioxide]",
  },
    {
    type = "recipe",
    name = "naphthenic-acid-dl",
    category = "agitation",
	subgroup = "buckets",
    energy_required = 11,
	enabled = "false",
    ingredients ={
        {type="fluid", name="gas-carbon-dioxide", amount=5},
        {type="fluid", name="heavy-oil", amount=5},
	},
    results=
    {
        {type="fluid", name="naphthenic-acid", amount=5},
            },
    main_product= "naphthenic-acid",
    order = "f[potassium-hydroxide]",
  },
  
  
{
    type = "recipe",
    name = "potassium-hydroxide-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 2,
	enabled = "false",
    ingredients ={
        {type="fluid", name="water-purified", amount=5},
        {type="item", name="ash", amount=5},
	},
    results=
    {
        {type="item", name="potassium-hydroxide", amount=5},
            },
    main_product= "potassium-hydroxide",
    order = "f[potassium-hydroxide]",
  },
  
  {
    type = "recipe",
    name = "woodchips1-dl",
    category = "crafting",
	subgroup = "powders",
    energy_required = 2,
	enabled = "true",
    ingredients ={
        {type="item", name="raw-wood", amount=2}
        
	},
    results=
    {
        {type="item", name="woodchips", amount=8},
            },
    main_product= "woodchips",
    order = "f[woodchips]",
  },
  {
    type = "recipe",
    name = "woodchips2-dl",
    category = "crafting",
	subgroup = "powders",
    energy_required = 2,
	enabled = "true",
    ingredients ={
        {type="item", name="wood", amount=2}
        
	},
    results=
    {
        {type="item", name="woodchips", amount=5},
            },
    main_product= "woodchips",
    order = "f[woodchips]",
  },
   {
    type = "recipe",
    name = "limestone1-dl",
    category = "crafting-with-fluid",
	subgroup = "else",
    energy_required = 3,
	enabled = "false",
    ingredients ={
        {type="item", name="stone", amount=12},
		{type="fluid", name="water", amount=2},
        
	},
    results=
    {
        {type="item", name="limestone", amount=8},
        {type="item", name="lime-pebbles", amount=1},		
        {type="item", name="lime-dust", amount=1},
            },
    main_product= "limestone",
    order = "f[limestone]",
	},
	
	
  {
    type = "recipe",
    name = "woodchips3-dl",
    category = "crafting",
	subgroup = "powders",
    energy_required = 2,
	enabled = "true",
    ingredients ={
        {type="item", name="woodchips", amount=4}
        
	},
    results=
    {
        {type="item", name="woodchips", amount=3},
            },
    main_product= "woodchips",
    order = "f[woodchips]",
  },
  
  
  {
    type = "recipe",
    name = "gunpowder-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 2,
	enabled = "false",
    ingredients ={
        {type="item", name="charcoal", amount=3},
        {type="item", name="potassium-nitrate", amount=5},
        {type="item", name="sulfur", amount=5},
	},
    results=
    {
        {type="item", name="gunpowder", amount=5},
            },
    main_product= "gunpowder",
    order = "f[gunpowder]",
  },
  
  {
    type = "recipe",
    name = "sulfur2-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 14,
	enabled = "false",
    ingredients ={
        {type="fluid", name="waste-water-yellow", amount=120},
		{type="item", name="sodium-hydroxide", amount=4},
        {type="item", name="potassium-permanganate", amount=1},
	},
    results=
    {
        {type="item", name="sulfur", amount=12},
		{type="fluid", name="water-purified", amount=120},
            },
    main_product= "sulfur",
    order = "f[sulfur]",
	},
{
    type = "recipe",
    name = "potassium-nitrate-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 18,
	enabled = "false",
    ingredients ={
        {type="fluid", name="water-purified", amount=12},
		{type="fluid", name="nitric-acid", amount=1},
        {type="item", name="potassium-hydroxide", amount=1},
	},
    results=
    {
        {type="item", name="potassium-nitrate", amount=1},
		{type="fluid", name="waste-water-red", amount=13},
            },
    main_product= "potassium-nitrate",
    order = "f[potassium-nitrate]",
	},
	
	
{
    type = "recipe",
    name = "ammonium-carbonate-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 3,
	enabled = "false",
    ingredients ={
        {type="fluid", name="gas-ammonia", amount=1},
		{type="fluid", name="gas-carbon-dioxide", amount=1},

	},
    results=
    {
        {type="item", name="ammonium-carbonate", amount=1},
            },
    main_product= "ammonium-carbonate",
    order = "f[ammonium-carbonate]",
	},
	
	
		{
    type = "recipe",
    name = "water-purified4-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 8,
	enabled = "false",
    ingredients ={
        {type="fluid", name="steam", amount=22},
				},
    results=
    {
    		{type="fluid", name="water-purified", amount=19},
		
            },
    main_product= "water-purified",
    icon = "__druglab__/graphics/icons/water-purified.png",
    order = "a[water-purified]",
	},
		{
    type = "recipe",
    name = "water-purified3-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 4,
	enabled = "false",
    ingredients ={
        {type="fluid", name="water", amount=20},
		{type="item", name="activated-charcoal", amount=1},
			},
    results=
    {
    		{type="fluid", name="water-purified", amount=19},
		
            },
    main_product= "water-purified",
    icon = "__druglab__/graphics/icons/water-purified.png",
    order = "a[water-purified]",
	},
	
	
		{
    type = "recipe",
    name = "water-purified2-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 5,
	enabled = "false",
    ingredients ={
        {type="fluid", name="water", amount=44},
		{type="item", name="potassium-permanganate", amount=1},
			},
    results=
    {
    		{type="fluid", name="water-purified", amount=42},
		
            },
    main_product= "water-purified",
    icon = "__druglab__/graphics/icons/water-purified.png",
    order = "a[water-purified]",
	},
	
	
		{
    type = "recipe",
    name = "water-purified1-dl",
    category = "chemistry",
	subgroup = "buckets",
    energy_required = 2,
	enabled = "false",
    ingredients ={
        {type="fluid", name="water", amount=8},
		{type="item", name="charcoal", amount=1},
			},
    results=
    {
    		{type="fluid", name="water-purified", amount=7},
			
		
            },
	    icon = "__druglab__/graphics/icons/water-purified.png",
    main_product= "water-purified",
    order = "a[water-purified]",
	},
	
	{
    type = "recipe",
    name = "crushed-manganese-dl",
    category = "crafting",
	subgroup = "else",
    energy_required = 3,
	enabled = "false",
    ingredients ={
        {type="item", name="manganese-ore", amount=1},
			},
    results=
    {
        {type="item", name="crushed-manganese", amount=1},
            },
    main_product= "crushed-manganese",
    order = "f[crushed-manganese]",
	},
	{
    type = "recipe",
    name = "manganese-dioxide-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 8,
	enabled = "false",
    ingredients ={
        {type="item", name="crushed-manganese", amount=4},
		{type="fluid", name="sulfuric-acid", amount=3},
			},
    results=
    {
        {type="item", name="manganese-dioxide", amount=1},
		{type="fluid", name="waste-water-yellow", amount=2},
		
            },
    main_product= "manganese-dioxide",
    order = "h[manganese-dioxide]",
	},
	
		{
    type = "recipe",
    name = "potassium-permanganate-dl",
    category = "chemistry",
	subgroup = "powders",
    energy_required = 22,
	enabled = "false",
    ingredients ={
        {type="item", name="manganese-dioxide", amount=4},
		{type="item", name="potassium-hydroxide", amount=4},
		{type="item", name="potassium-nitrate", amount=4},
		{type="fluid", name="gas-compressed-air", amount=9},
			},
    results=
    {
        {type="item", name="potassium-permanganate", amount=3},
				
            },
    main_product= "potassium-permanganate",
    order = "h[potassium-permanganate]",
	},
	
	
	
	
	
			{
    type = "recipe",
    name = "lime-pebbles-dl",
    category = "crafting",
	subgroup = "else",
    energy_required = 6,
	enabled = "false",
    ingredients ={
        {type="item", name="limestone", amount=4}, -- solid limestone
		
			},
    results=
    {
        {type="item", name="lime-pebbles", amount=7},
        {type="item", name="lime-dust", amount=1},			
           },
    main_product= "lime-pebbles",
    order = "h[lime-pebbles]",
	},
	
	
	{
    type = "recipe",
    name = "lime-dust-dl",
    category = "crafting",
	subgroup = "else",
    energy_required = 5,
	enabled = "false",
    ingredients ={
        {type="item", name="lime-pebbles", amount=2},
		
			},
    results=
    {
        {type="item", name="lime-dust", amount=4},
				
            },
    main_product= "lime-dust",
    order = "h[lime-dust]",
	},
	
		
	
	
	
	})